Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 5897 - "update" crashes after update to 6.1
Summary: "update" crashes after update to 6.1
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: slocate
Version: 6.1
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-10-12 21:25 UTC by j.tevessen
Modified: 2014-03-17 02:10 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-10-18 21:39:12 UTC


Attachments (Terms of Use)

Description j.tevessen 1999-10-12 21:25:41 UTC
I just bootet from the 6.1 cd and choosed to update my RH
60 system to 61. Worked, but since I did this, every call
to "updatedb" leads to a SIGSEGV.
The last few lines of a strace: (unfortunately the binary
of slocate is stripped) (called as root, since it's suid)
mmap(0, 23701, PROT_READ, MAP_PRIVATE, 3, 0) = 0x40013000
close(3)                                = 0
open("/lib/libnss_files.so.2", O_RDONLY) = 3
fstat(3, {st_mode=S_IFREG|0755, st_size=247348, ...}) = 0
read(3, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0\360\33"..., 4096) = 4096
--- SIGSEGV (Speicherzugriffsfehler) ---
+++ killed by SIGSEGV +++
Please contact me if you need further information and tell me what you need to know.

Comment 1 Bill Nottingham 1999-10-18 21:39:59 UTC
Fixed in slocate-2.0-4, which will be in the next Raw Hide release.


Note You need to log in before you can comment on or make changes to this bug.